gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.MountOperation

Contents

- Exported types
- Methods
  - getParent
  - getScreen
  - isShowing
  - new
  - setParent
  - setScreen
- Properties
  - isShowing
  - parent
  - screen

Description

This should not be accessed directly. Use the accessor functions below.

Synopsis

- newtype MountOperation = MountOperation (ManagedPtr MountOperation)
- class (GObject o, IsDescendantOf MountOperation o) => IsMountOperation o
- toMountOperation :: (MonadIO m, IsMountOperation o) => o -> m MountOperation
- mountOperationGetParent :: (HasCallStack, MonadIO m, IsMountOperation a) => a -> m Window
- mountOperationGetScreen :: (HasCallStack, MonadIO m, IsMountOperation a) => a -> m Screen
- mountOperationIsShowing :: (HasCallStack, MonadIO m, IsMountOperation a) => a -> m Bool
- mountOperationNew :: (HasCallStack, MonadIO m, IsWindow a) => Maybe a -> m MountOperation
- mountOperationSetParent :: (HasCallStack, MonadIO m, IsMountOperation a, IsWindow b) => a -> Maybe b -> m ()
- mountOperationSetScreen :: (HasCallStack, MonadIO m, IsMountOperation a, IsScreen b) => a -> b -> m ()
- getMountOperationIsShowing :: (MonadIO m, IsMountOperation o) => o -> m Bool
- clearMountOperationParent :: (MonadIO m, IsMountOperation o) => o -> m ()
- constructMountOperationParent :: (IsMountOperation o, MonadIO m, IsWindow a) => a -> m (GValueConstruct o)
- getMountOperationParent :: (MonadIO m, IsMountOperation o) => o -> m Window
- setMountOperationParent :: (MonadIO m, IsMountOperation o, IsWindow a) => o -> a -> m ()
- constructMountOperationScreen :: (IsMountOperation o, MonadIO m, IsScreen a) => a -> m (GValueConstruct o)
- getMountOperationScreen :: (MonadIO m, IsMountOperation o) => o -> m Screen
- setMountOperationScreen :: (MonadIO m, IsMountOperation o, IsScreen a) => o -> a -> m ()

# Exported types

newtype MountOperation Source #

Memory-managed wrapper type.

Constructors

MountOperation (ManagedPtr MountOperation) |

#### Instances

Instances details

Eq MountOperation Source # |
Instance details Defined in GI.Gtk.Objects.MountOperation Methods (==) :: MountOperation -> MountOperation -> Bool Source # (/=) :: MountOperation -> MountOperation -> Bool Source #
GObject MountOperation Source # |
Instance details Defined in GI.Gtk.Objects.MountOperation
ManagedPtrNewtype MountOperation Source # |
Instance details Defined in GI.Gtk.Objects.MountOperation Methods toManagedPtr :: MountOperation -> ManagedPtr MountOperation Source #
TypedObject MountOperation Source # |
Instance details Defined in GI.Gtk.Objects.MountOperation Methods glibType :: IO GType Source #
HasParentTypes MountOperation Source # |
Instance details Defined in GI.Gtk.Objects.MountOperation
IsGValue (Maybe MountOperation) Source # | Convert `MountOperation` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.MountOperation Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe MountOperation -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe MountOperation) Source #
type ParentTypes MountOperation Source # |
Instance details Defined in GI.Gtk.Objects.MountOperation type ParentTypes MountOperation = '[MountOperation, Object]

class (GObject o, IsDescendantOf MountOperation o) => IsMountOperation o Source #

Type class for types which can be safely cast to `MountOperation`, for instance with `toMountOperation`.

#### Instances

Instances details

(GObject o, IsDescendantOf MountOperation o) => IsMountOperation o Source # |
Instance details Defined in GI.Gtk.Objects.MountOperation

toMountOperation :: (MonadIO m, IsMountOperation o) => o -> m MountOperation Source #

Cast to `MountOperation`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, isShowing, notify, notifyByPspec, ref, refSink, reply, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAnonymous, getChoice, getData, getDomain, getIsTcryptHiddenVolume, getIsTcryptSystemVolume, getParent, getPassword, getPasswordSave, getPim, getProperty, getQdata, getScreen, getUsername.

#### Setters

setAnonymous, setChoice, setData, setDataFull, setDomain, setIsTcryptHiddenVolume, setIsTcryptSystemVolume, setParent, setPassword, setPasswordSave, setPim, setProperty, setScreen, setUsername.

## getParent

mountOperationGetParent Source #

Arguments

:: (HasCallStack, MonadIO m, IsMountOperation a) |
=> a | `op`: a `MountOperation`
-> m Window | Returns: the transient parent for windows shown by `op`

Gets the transient parent used by the `MountOperation`

Since: 2.14

## getScreen

mountOperationGetScreen Source #

Arguments

:: (HasCallStack, MonadIO m, IsMountOperation a) |
=> a | `op`: a `MountOperation`
-> m Screen | Returns: the screen on which windows of `op` are shown

Gets the screen on which windows of the `MountOperation` will be shown.

Since: 2.14

## isShowing

mountOperationIsShowing Source #

Arguments

:: (HasCallStack, MonadIO m, IsMountOperation a) |
=> a | `op`: a `MountOperation`
-> m Bool | Returns: `True` if `op` is currently displaying a window

Returns whether the `MountOperation` is currently displaying a window.

Since: 2.14

## new

mountOperationNew Source #

Arguments

:: (HasCallStack, MonadIO m, IsWindow a) |
=> Maybe a | `parent`: transient parent of the window, or `Nothing`
-> m MountOperation | Returns: a new `MountOperation`

Creates a new `MountOperation`

Since: 2.14

## setParent

mountOperationSetParent Source #

Arguments

:: (HasCallStack, MonadIO m, IsMountOperation a, IsWindow b) |
=> a | `op`: a `MountOperation`
-> Maybe b | `parent`: transient parent of the window, or `Nothing`
-> m () |

Sets the transient parent for windows shown by the `MountOperation`.

Since: 2.14

## setScreen

mountOperationSetScreen Source #

Arguments

:: (HasCallStack, MonadIO m, IsMountOperation a, IsScreen b) |
=> a | `op`: a `MountOperation`
-> b | `screen`: a `Screen`
-> m () |

Sets the screen to show windows of the `MountOperation` on.

Since: 2.14

# Properties

## isShowing

No description available in the introspection data.

getMountOperationIsShowing :: (MonadIO m, IsMountOperation o) => o -> m Bool Source #

Get the value of the “`is-showing`” property. When overloading is enabled, this is equivalent to

    get mountOperation #isShowing

## parent

No description available in the introspection data.

clearMountOperationParent :: (MonadIO m, IsMountOperation o) => o -> m () Source #

Set the value of the “`parent`” property to `Nothing`. When overloading is enabled, this is equivalent to

    clear #parent

constructMountOperationParent :: (IsMountOperation o, MonadIO m, IsWindow a) => a -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`parent`” property. This is rarely needed directly, but it is used by `new`.

getMountOperationParent :: (MonadIO m, IsMountOperation o) => o -> m Window Source #

Get the value of the “`parent`” property. When overloading is enabled, this is equivalent to

    get mountOperation #parent

setMountOperationParent :: (MonadIO m, IsMountOperation o, IsWindow a) => o -> a -> m () Source #

Set the value of the “`parent`” property. When overloading is enabled, this is equivalent to

    set mountOperation [ #parent := value ]

## screen

No description available in the introspection data.

constructMountOperationScreen :: (IsMountOperation o, MonadIO m, IsScreen a) => a -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`screen`” property. This is rarely needed directly, but it is used by `new`.

getMountOperationScreen :: (MonadIO m, IsMountOperation o) => o -> m Screen Source #

Get the value of the “`screen`” property. When overloading is enabled, this is equivalent to

    get mountOperation #screen

setMountOperationScreen :: (MonadIO m, IsMountOperation o, IsScreen a) => o -> a -> m () Source #

Set the value of the “`screen`” property. When overloading is enabled, this is equivalent to

    set mountOperation [ #screen := value ]